import React, { useState } from 'react'
import CozyBar from 'components/ContainerComponents/CozyBar/CozyBar'
import Header from 'components/ContainerComponents/Header/Header'
import Content from 'components/ContainerComponents/Content/Content'
import FAQ from 'components/ContentComponents/FAQ/FAQ'

const EcoGesturesViewContainer: React.FC = () => {
  const [headerHeight, setHeaderHeight] = useState<number>(0)
  const defineHeaderHeight = (height: number) => {
    setHeaderHeight(height)
  }
  return (
    <React.Fragment>
      <CozyBar titleKey={'COMMON.APP_FAQ_TITLE'} displayBackArrow={true} />
      <Header
        setHeaderHeight={defineHeaderHeight}
        desktopTitleKey={'COMMON.APP_FAQ_TITLE'}
        displayBackArrow={true}
      ></Header>
      <Content height={headerHeight}>
        <FAQ />
      </Content>
    </React.Fragment>
  )
}

export default EcoGesturesViewContainer
